#!/bin/sh
MAILDIR="/var/imap/pupazzo.org/michele/Maildir/"
D=`date +%s`
S=`date +%S`
PID=`cat /proc/self/stat | cut -f1 -d\ `
HOST=`hostname -f`
FILENAME="$MAILDIR/tmp/$D.$S$PID.$HOST"
if [ -f $FILENAME ]; then
	echo "exiting"
	exit
fi
cat <<EOF > $FILENAME
Return-Path: <python-list-bounces+michele=pupazzo.org@python.org>
Delivered-To: michele@pupazzo.org
Received: from localhost (localhost [127.0.0.1])
	by mail2.rhx.it (Postfix) with ESMTP
	id C570B17994; Wed, 19 May 2004 11:41:23 +0200 (CEST)
Received: from mail2.rhx.it ([127.0.0.1])
	by localhost (mail2.rhx.it [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id 06938-08; Wed, 19 May 2004 11:41:23 +0200 (CEST)
Received: from mail.python.org (mail.python.org [12.155.117.29])
	by mail2.rhx.it (Postfix) with ESMTP id DB90417992
	for <michele@pupazzo.org>; Wed, 19 May 2004 11:41:22 +0200 (CEST)
Received: from localhost ([127.0.0.1] helo=mail.python.org)
	by mail.python.org with esmtp (Exim 4.34)
	id 1BQNZ8-0003gP-Ru
	for michele@pupazzo.org; Wed, 19 May 2004 05:40:46 -0400
Path: news.baymountain.com!ash.uu.net!easynews.net!newsfeed3.easynews.net!newsfeed.vmunix.org!fu-berlin.de!uni-berlin.de!not-for-mail
From: Duncan Booth <me@privacy.net>
Newsgroups: comp.lang.python
Date: 19 May 2004 09:36:00 GMT
Lines: 33
Message-ID: <Xns94EE6BCD58B7Dduncanrcpcouk@127.0.0.1>
References: <c8do0u$9fb$1@news.atman.pl>
	<jfvka0hj6lvluieatohoqogvgshuuo99af@4ax.com>
	<c8e5sh$109b$1@news.atman.pl>
	<slrncalqqf.8f2.grante@grante.rivatek.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Trace: news.uni-berlin.de 3DBYrXPgzRdRhVQqVO18UAiUUo2kSReVjtqy9GLyIACC5ESJDx
User-Agent: Xnews/05.08.12 Hamster/2.0.4.0
Xref: news.baymountain.com comp.lang.python:281516
To: python-list@python.org
Subject: Re: alternatives to making blocks like  { } or other ??
X-BeenThere: python-list@python.org
X-Mailman-Version: 2.1.5
Precedence: list
Reply-To: duncan.booth@suttoncourtenay.org.uk
List-Id: General discussion list for the Python programming language
	<python-list.python.org>
List-Unsubscribe: <http://mail.python.org/mailman/listinfo/python-list>,
	<mailto:python-list-request@python.org?subject=unsubscribe>
List-Archive: <http://mail.python.org/pipermail/python-list>
List-Post: <mailto:python-list@python.org>
List-Help: <mailto:python-list-request@python.org?subject=help>
List-Subscribe: <http://mail.python.org/mailman/listinfo/python-list>,
	<mailto:python-list-request@python.org?subject=subscribe>
Sender: python-list-bounces+michele=pupazzo.org@python.org
Errors-To: python-list-bounces+michele=pupazzo.org@python.org
X-Virus-Scanned: by amavisd-new-20030616-p7 (Debian) at pupazzo.org

Grant Edwards <grante@visi.com> wrote in 
news:slrncalqqf.8f2.grante@grante.rivatek.com:

> just like the BASIC programmers who switched to C and pulled
> crap like
> 
> #define IF if (
> #define THEN ) {
> #define ELSE } else {
> #define ENDIF }
> 
> #define WHILE while (
> #define DO ) {
> #define DONE }

Thats not even a very good set of macros.
EOF

cat $FILENAME

DEV=`stat -c '%d' $FILENAME`
INODE=`stat -c '%i' $FILENAME`
SIZE=`stat -c '%s' $FILENAME`

D=`date +%s`
S=`date +%S`
NEWFILENAME="$D.$S$PID$DEV$INODE""_$HOST,S=$SIZE"
NEWF="$MAILDIR/new/$NEWFILENAME"
mv $FILENAME $NEWF
